Zum Hauptinhalt springen

Update a feedback entry

Partially updates a feedback entry by numeric ID or feedback UUID.

Path Parameters
id string — REQUIRED
Request Body — REQUIRED
feedback string
title string
category string
status string
tags string[]
severity integer

Possible values: value ≤ 5

impact integer

Possible values: value ≤ 5

effort integer

Possible values: value ≤ 5

churnRisk integer

Possible values: value ≤ 5

customerSegment string
growthImpact integer

Possible values: value ≤ 5

duplicateOf
requesterName string
requesterEmail string
reportedByUserId string
closed boolean
adminComment string
priority number
taskId uuid

Possible values: Value must match regular expression ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

positive boolean
Responses
200

Successful response

Schema — OPTIONAL
success boolean
400

Invalid input data

Schema — OPTIONAL
message string

The error message

code string

The error code

issues object[] — OPTIONAL

An array of issues that were responsible for the error

message string
401

Authorization not provided

Schema — OPTIONAL
message string

The error message

code string

The error code

issues object[] — OPTIONAL

An array of issues that were responsible for the error

message string
403

Insufficient access

Schema — OPTIONAL
message string

The error message

code string

The error code

issues object[] — OPTIONAL

An array of issues that were responsible for the error

message string
404

Not found

Schema — OPTIONAL
message string

The error message

code string

The error code

issues object[] — OPTIONAL

An array of issues that were responsible for the error

message string
500

Internal server error

Schema — OPTIONAL
message string

The error message

code string

The error code

issues object[] — OPTIONAL

An array of issues that were responsible for the error

message string